Create a public share link for a run report (token returned once)
POST
/v1/flows/runs/{runId}/share
const url = 'https://api.monita.ai/v1/flows/runs/example/share';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expiresInDays":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/flows/runs/example/share \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expiresInDays": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
expiresInDays
integer
Examplegenerated
{ "expiresInDays": 1}Responses
Section titled “Responses”Created
Media typeapplication/json
object
share
required
object
id
required
string
runId
required
string
expiresAt
required
number
revokedAt
required
number
createdAt
required
number
token
required
string
path
required
string
Examplegenerated
{ "share": { "id": "example", "runId": "example", "expiresAt": 1, "revokedAt": 1, "createdAt": 1 }, "token": "example", "path": "example"}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Run has no report yet
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}